Loading...
Searching...
No Matches
odiststream

## Detailed Description

odiststream: see the `diststream` page for the full documentation

Examples
  embankment_adapt.cc, mosolov_augmented_lagrangian.cc, navier_stokes_cavity.cc, and zalesak_dg_adapt.cc.

Definition at line 137 of file diststream.h.

## Public Types

typedef std::size_t | size_type

## Public Member Functions

| odiststream ()
| odiststream (std::string filename, std::string suffix="", io::mode_type mode=io::out, const communicator &comm=communicator())
| odiststream (std::string filename, io::mode_type mode, const communicator &comm=communicator())
| odiststream (std::string filename, std::string suffix, const communicator &comm)
| odiststream (std::string filename, const communicator &comm)
| odiststream (std::ostream &os, const communicator &comm=communicator())
| ~odiststream ()
void | open (std::string filename, std::string suffix="", io::mode_type mode=io::out, const communicator &comm=communicator())
| This routine opens a physical output file.
void | open (std::string filename, io::mode_type mode, const communicator &comm=communicator())
void | open (std::string filename, std::string suffix, const communicator &comm)
void | open (std::string filename, const communicator &comm)
void | flush ()
void | close ()
const communicator & | comm () const
bool | good () const
| operator bool () const
std::ostream & | os ()
bool | nop ()

## Static Public Member Functions

static size_type | io_proc ()

## Protected Attributes

std::ostream * | _ptr_os
bool | _use_alloc
communicator | _comm

## Member Typedef Documentation

## size_type

typedef std::size_t size_type

Definition at line 139 of file diststream.h.

## Constructor & Destructor Documentation

## odiststream() [1/6]

odiststream | ( |  | ) |

Definition at line 194 of file diststream.h.

## odiststream() [2/6]

odiststream | ( | std::string | filename,
|  | std::string | suffix = `""`,
|  | io::mode_type | mode = `io::out`,
|  | const communicator & | comm = `communicator()`
| ) |  |

Definition at line 199 of file diststream.h.

## odiststream() [3/6]

odiststream | ( | std::string | filename,
|  | io::mode_type | mode,
|  | const communicator & | comm = `communicator()`
| ) |  |

Definition at line 205 of file diststream.h.

## odiststream() [4/6]

odiststream | ( | std::string | filename,
|  | std::string | suffix,
|  | const communicator & | comm
| ) |  |

Definition at line 211 of file diststream.h.

## odiststream() [5/6]

odiststream | ( | std::string | filename,
|  | const communicator & | comm
| ) |  |

Definition at line 217 of file diststream.h.

## odiststream() [6/6]

odiststream | ( | std::ostream & | os,
|  | const communicator & | comm = `communicator()`
| ) |  |

Definition at line 223 of file diststream.h.

## ~odiststream()

~odiststream | ( |  | ) |

Definition at line 185 of file diststream.cc.

## Member Function Documentation

## open() [1/4]

void open | ( | std::string | filename,
|  | std::string | suffix = `""`,
|  | io::mode_type | mode = `io::out`,
|  | const communicator & | comm = `communicator()`
| ) |  |

This routine opens a physical output file.

Examples
  navier_stokes_cavity.cc.

Definition at line 144 of file diststream.cc.

## open() [2/4]

void open | ( | std::string | filename,
|  | io::mode_type | mode,
|  | const communicator & | comm = `communicator()`
| ) |  |

Definition at line 229 of file diststream.h.

## open() [3/4]

void open | ( | std::string | filename,
|  | std::string | suffix,
|  | const communicator & | comm
| ) |  |

Definition at line 235 of file diststream.h.

## open() [4/4]

void open | ( | std::string | filename,
|  | const communicator & | comm
| ) |  |

Definition at line 241 of file diststream.h.

## flush()

void flush | ( |  | ) |

Definition at line 175 of file diststream.cc.

## close()

void close | ( |  | ) |

Examples
  navier_stokes_cavity.cc.

Definition at line 165 of file diststream.cc.

## comm()

const communicator & comm | ( |  | ) | const

Definition at line 167 of file diststream.h.

## good()

bool good | ( |  | ) | const

Definition at line 195 of file diststream.cc.

## operator bool()

operator bool | ( |  | ) | const

Definition at line 169 of file diststream.h.

## io_proc()

odiststream::size_type io_proc | ( |  | ) |

static

Definition at line 79 of file diststream.cc.

## os()

std::ostream & os | ( |  | ) |

Definition at line 247 of file diststream.h.

## nop()

bool nop | ( |  | ) |

Definition at line 254 of file diststream.h.

## Member Data Documentation

## _ptr_os

std::ostream* _ptr_os

protected

Definition at line 180 of file diststream.h.

## _use_alloc

bool _use_alloc

protected

Definition at line 181 of file diststream.h.

## _comm

communicator _comm

protected

Definition at line 182 of file diststream.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/diststream.h
- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/diststream.cc